/*
Magánhangzóra cserélés
*/
#include <iostream>

using namespace std;

// Változók
string X, Y;

bool Maganhangzo(char b) {
  // const string MAGANHANGZOK = "aáeéiíoóöőuúüű";
  const string MAGANHANGZOK = "aeiouAEIOU";  // Kódolási problémák miatt kihagyjuk az ékezetes karaktereket
  return MAGANHANGZOK.find(b) != string::npos;
}

void Beolvasas(string &X) {
  clog << "A szoveg (lehetoleg ekezet nelkul) = ";
  cin >> X;
}

void Masolas(const string X, string &Y) {
  Y = X;
  const int N = X.length();
  for (int i = 1; i <= N; i++){
    if (Maganhangzo(X[i - 1])) {
      Y[i - 1] = 'e';
    } else {
      Y[i - 1] = X[i- 1];
    }
  }
}

void Kiiras(const string Y) {
  clog << "A lecserelt szoveg: ";
  cout << Y << endl;
}

int main() {
  
  Beolvasas(X);
  Masolas(X, Y);
  Kiiras(Y);
  
  return 0;
}